#pragma once
#include <library/cpp/object_factory/object_factory.h>
#include <util/generic/string.h>

class TParsedDocument;

class ICSFunction {
public:
    virtual ~ICSFunction() {}
    virtual TString GetFResult(const TParsedDocument& parsedDoc) const = 0;
    virtual TString Name() const = 0;

    typedef NObjectFactory::TObjectFactory<ICSFunction, TString> TFactory;
};
